Name:           jargs
Version:        1.0
Release:        %mkrel 15
Summary:        Java command line option parsing suite

Group:          Development/Java
License:        BSD
URL:            https://jargs.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        https://repository.jboss.org/nexus/content/repositories/thirdparty-releases/net/sf/jargs/1.0/jargs-1.0.pom
#               Update source and target for JDK 17
Patch0:         %{name}-java-version.patch
BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  javapackages-local
BuildRequires:  ant
BuildRequires:  junit


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
%{summary}.


%description
This project provides a convenient, compact, pre-packaged and 
comprehensively documented suite of command line option parsers 
for the use of Java programmers. 
Initially, parsing compatible with GNU-style 'getopt' is provided.

%prep
%setup -q
%patch -P 0 -p1
find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;


%build
%ant runtimejar javadoc


%install
%mvn_artifact %{SOURCE1} lib/%{name}.jar
%mvn_alias net.sf:%{name} %{name}:%{name}
%mvn_install -J doc


%files -f .mfiles
%doc README TODO doc/CHANGES
%license LICENCE


%files javadoc -f .mfiles-javadoc
%license LICENCE


%changelog
* Thu May 23 2024 daviddavid <daviddavid> 1.0-15.mga10
+ Revision: 2066275
- fix build with java 21

* Mon Sep 19 2022 neoclust <neoclust> 1.0-14.mga9
+ Revision: 1890549
- Build with jdk17
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Sep 10 2020 daviddavid <daviddavid> 1.0-12.mga8
+ Revision: 1624255
- Update source and target for JDK 11
- Rebuilt for JDK-11
- Update for newer guidelines

* Wed Feb 12 2020 umeabot <umeabot> 1.0-11.mga8
+ Revision: 1501788
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0-10.mga7
+ Revision: 1278896
- Mageia 7 Mass Rebuild

* Fri Sep 29 2017 daviddavid <daviddavid> 1.0-9.mga7
+ Revision: 1161606
- add BR javapackages-local to fix build

* Tue Feb 09 2016 umeabot <umeabot> 1.0-8.mga6
+ Revision: 952023
- Mageia 6 Mass Rebuild

* Tue Jan 13 2015 pterjan <pterjan> 1.0-7.mga5
+ Revision: 810486
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.0-6.mga5
+ Revision: 744723
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 680629
- Mageia 5 Mass Rebuild

* Mon Dec 16 2013 dmorgan <dmorgan> 1.0-4.mga4
+ Revision: 557536
- Use new demap macros
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 354750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 12 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 132762
- Clean spec file
+ gil <gil>
- imported package jargs

